import prologix

class HP436:
  def __init__(self, gpib, addr):
    self.gpib = gpib
    self.addr = addr

  def cmd(self, c):
    self.gpib.gpib_command(self.addr, c)

  def measure(self):
    while True:
      meas = self.gpib.gpib_query(self.addr, '9D+T')
      if meas[0] == 'P':
        meas = meas[3:]
        num = float(meas)
        return num
        break
